Skip to main content
POST
/
webarchive
/
dump
Deliver a snapshot to Amazon S3, Azure Blob Storage or a Webhook
curl --request POST \
  --url https://api.brightdata.com/webarchive/dump \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "search_id": "<string>",
  "delivery": {
    "settings": {
      "bucket": "<string>",
      "assume_role": {
        "role_arn": "<string>"
      },
      "prefix": "<string>"
    }
  },
  "max_entries": 123
}
'
{
  "dump_id": "ucd_abc123-1234567890"
}

Documentation Index

Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt

Use this file to discover all available pages before exploring further.

要使用 S3 存储传递,您首先需要执行以下操作:
  • 创建一个 AWS 角色,为 Bright Data 授予访问您系统的权限。
    • 在此设置期间,Amazon 会要求您提供一个与角色一起使用的”外部 ID”。
    • 您的 S3 外部 ID 是您的 Bright Data 账户 ID,可在 账户设置 中找到
  • 创建角色后,您需要允许我们的系统传递角色 AssumeRole 该角色。
    • 我们的系统传递角色是:arn:aws:iam::422310177405:role/brd.ec2.zs-dca-delivery
webhook 传递策略不适合大型数据转储,除非您在自己的基础设施上托管 webhook。第三方检查工具(如 webhook.site)施加了严格的请求体大小限制,将无法接收可能达到 1 GB 大小的有效负载。对于大型传递,请改用 Amazon S3Azure Blob Storage
常见数据转储参数:
  • search_id(必需):来自已完成搜索的搜索 ID
  • max_entries(可选):限制要包含在数据转储中的文件数量
  • delivery(必需):传递配置(S3、Azure 或 webhook)
如果您运行的是 linux/macos 机器,可以使用此页面上的代码模拟我们的传递 webhook 之一。

Authorizations

Authorization
string
header
required

Use your Bright Data API Key as a Bearer token in the Authorization header.

How to authenticate:

  1. Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
  2. Include the API Key in the Authorization header of your requests
  3. Format: Authorization: Bearer YOUR_API_KEY

Example:

Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication

Body

application/json
search_id
string
required

Search ID from a completed search

delivery
Amazon S3 · object
required
max_entries
integer

Maximum number of files to include in the dump

Response

200 - application/json

Dump created successfully

dump_id
string
required

ID of the created dump

Example:

"ucd_abc123-1234567890"